Name:           python-extra-geom
Version:        1.13.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools to work with EuXFEL detector geometry and assemble detector images

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/European-XFEL/EXtra-geom
Source:         %{pypi_source extra_geom}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'extra-geom' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-extra-geom
Summary:        %{summary}

%description -n python3-extra-geom %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-extra-geom docs,interpolate,test


%prep
%autosetup -p1 -n extra_geom-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,interpolate,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-extra-geom -f %{pyproject_files}


%changelog
%autochangelog